Billing - Feature # 110: Support a payment gateway for credit card payments

Status: Closed Priority: Normal

Author: admin Category:

Created: 2013-10-14 Assigned to:

Updated: 2017-09-20 Due date:

Subject: Support a payment gateway for credit card payments

Description: We're encountering increasing numbers of problems with PayPal payments, especially from people who do

not wish to create a PayPal account -- this should work, but for some people it just doesn't give the option,
and Paypal support is pretty useless on the matter.

Also Google Checkout is going away soon, so those people are going to need a way to pay.

| can't see any alternative but a payment gateway that supports credit card payments.

History
2013-10-15 06:01 - admin

Currently looking into using Stripe for this.

2013-10-24 13:20 - admin
First attempt at a Stripe integration has been put live. At the moment it only allows payment of invoices that already exist and card details need to be

input every time.

The following improvements are needed:
* Allow customers to store card details (with Stripe, not with us)

* Optionally use stored card details to pay recurring invoices as they are created
2017-09-20 16:51 - admin

- Status changed from New to Closed

Stripe works fine.
